#!/bin/sh
#
# cat and sort an EPS3
#

 base=by06_pscfv3

 for yymmdd in \
         060801 \

 do

 yy=`echo $yymmdd | cut -c1,2`
 mm=`echo $yymmdd | cut -c3,4`
 dd=`echo $yymmdd | cut -c5,6`

 case $mm in
  06) month=jun; Month=Jun;;
  07) month=jul; Month=Jul;;
  08) month=aug; Month=Aug;;
  09) month=sep; Month=Sep;;
 esac

 echo "yymmdd  yy  mm  dd  month  Month"
 echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/EPS3/afs/exole
 afs_path=/ei/point/HG/2006/model

#  by05v1 c.22jan2008 - dr. Smith + dr. jarvie + Marvin
#afs_file_in=$afs_path/afs.aggVOC_extra_alkenes_for_2005_v1
#  by05v2 c.10jun2008 - dr. Smith + dr. jarvie + Marvin (marvin file c02jun2008)
#  by06v2 c.12jun2008 - dr. Smith + dr. jarvie + Marvin (marvin file c11jun2008)
#afs_file_in=$afs_path/afs.aggVOC_extra_alkenes_for_2006_v1
#  by06v3 c.24mar2009 - dr. Smith + dr. jarvie + Marvin (marvin file c23mar2009)
 afs_file_in=$afs_path/afs.aggVOC_extra_alkenes_for_2006_v2

 ls -l $afs_file_in

 rm -f  tmp.$yymmdd

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd
 grep " S  ${yymmdd}[012][0-9] ${yymmdd}[012][0-9] " $afs_file_in > tmp.$yymmdd

 afs_file=afs.$yymmdd.exole.$base

 echo
 echo "afs_file: "  $afs_file
 echo
 ls -l $afs_file

 echo
 echo "start sorting"

##sort $afs_file -t ! -b -k 1.12,1.16 -k 1.40,1.44 -k 1.45,1.48 -k 1.50,1.52 -k 1.29,1.38 -k 1.156,1.160 > $afs_file.sort
# below is new linux sort for eps3
  sort tmp.$yymmdd -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 > $afs_file.sort

 echo
 echo "finished sort"
 echo
 echo "start 8co  grep"
 echo

 grep -E " EX 48039 | EX 48071 | EX 48157 | EX 48167 | EX 48201 | EX 48291 | EX 48339 | EX 48473 | EX 48000 " $afs_file.sort > $out_path/$afs_file.hgb_8co

 echo
 echo "start no8co  grep"
 echo
 grep -vE " EX 48039 | EX 48071 | EX 48157 | EX 48167 | EX 48201 | EX 48291 | EX 48339 | EX 48473 | EX 48000 " $afs_file.sort > $out_path/$afs_file.no_hgb_8co

 echo
 echo "finished greps"
 echo

 mv $afs_file.sort $out_path/$afs_file

 rm -f tmp.$yymmdd

 done
exit

#cat $afs_file1 tmp.$yymmdd > $afs_file

##sort -o $afs_file -t +0.12-0.16 +0.40-0.44 +0.45-0.48 +0.50-0.52 +0.29-0.38 +0.156-0.160 $afs_file.sort
##sort  $afs_file  -b -k 5.1,5.5 -k 9.1,9.5 -k 10.1,10.5 -k 11.1,11.3 -k 8.1,8.10 -k 29.1,29.5 >  $afs_file.sort
